> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an entity



## OpenAPI

````yaml /api-reference/4.2/service-experiments.json put /experiments/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service experiments
servers:
  - url: /api/apollo/
security: []
tags:
  - name: experiments
paths:
  /experiments/{id}:
    put:
      tags:
        - 4.2 Experiments API
      summary: Update an entity
      operationId: updateEntity
      parameters:
        - name: id
          in: path
          description: The entity ID
          required: true
          schema:
            type: string
        - name: If-Match
          in: header
          description: An entity tag to match
          required: false
          schema:
            type: string
            default: '"-1"'
      requestBody:
        $ref: '#/components/requestBodies/Experiment'
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Entity'
components:
  requestBodies:
    Experiment:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Experiment'
      description: JSON-formatted configuration values
  schemas:
    Entity:
      type: object
      properties:
        id:
          type: string
    Experiment:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        uniqueIdParameter:
          type: string
          readOnly: true
        baseSignalsCollection:
          type: string
          readOnly: true
        variants:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ExperimentVariant'
        automaticallyAdjustTraffic:
          type: boolean
          readOnly: true
          default: false
        enabled:
          type: boolean
          readOnly: true
          default: false
        startTimestamp:
          type: string
          format: date-time
          readOnly: true
        runId:
          type: string
          readOnly: true
        metrics:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ExperimentMetric'
    ExperimentVariant:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          readOnly: true
        collection:
          type: string
          readOnly: true
        queryPipeline:
          type: string
          readOnly: true
        params:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/ParamAndValue'
        weight:
          type: number
          format: double
          readOnly: true
    ExperimentMetric:
      type: object
      properties:
        name:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        jobId:
          type: string
        binary:
          type: boolean
          readOnly: true
          default: false
        primary:
          type: boolean
          readOnly: true
          default: false
    ParamAndValue:
      type: object
      properties:
        key:
          type: string
          readOnly: true
        value:
          type: string
          readOnly: true
        policy:
          type: string
          readOnly: true
          enum:
            - REPLACE
            - APPEND
            - REMOVE
            - DEFAULT

````